module.exports = {
    title: 'BDTP-数据服务',
    description: 'Just playing around',
    plugins: ['@vuepress/back-to-top'],
    themeConfig: {
        nav: [
            { text: '主页', link: '/' },
            { text: '通用说明文档', link: '/utils/common' },
            { text: '物理世界', link: '/rwd/' },
            { text: '知识库', link: '/dic/' }
        ],

        sidebarDepth: 2,
        displayAllHeaders: true,
        sidebar: {
            '/utils/common': [
                {
                    title: '通用说明文档',
                    collapsable: false,
                    children: [{ title: '通用说明文档', path: '/utils/common' }]
                }
            ],
            '/dic': [
                {
                    title: '知识库',
                    collapsable: false,
                    children: [{ title: '接口文档', path: '/dic/dic_api' }, { title: '数据结构设计', path: '/dic/data_structure_description' }]
                }
            ],
            '/rwd': [
                {
                    title: '定义数据',
                    collapsable: false,
                    children: [{ title: '类型定义', path: '/rwd/def_class' }, { title: '信息点定义', path: '/rwd/def_funcid' }]
                },
                {
                    title: '订阅功能',
                    path: '/rwd/schema'
                },
                {
                    title: '实例数据',
                    collapsable: false,
                    children: [{ title: '对象数据', path: '/rwd/instance_object' }, { title: '关系数据', path: '/rwd/instance_relation' }]
                },
                { title: 'IOT', path: '/rwd/iot' }
            ],
        }
    }
}
